package cli

import (
	"git.akyoto.dev/cli/q/src/build"
	"git.akyoto.dev/cli/q/src/log"
)

// Build builds an executable.
func Build(args []string) int {
	directory := "."

	if len(args) > 0 {
		directory = args[0]
	}

	b := build.New(directory)

	for i := 1; i < len(args); i++ {
		switch args[i] {
		case "--dry":
			b.WriteExecutable = false

		default:
			log.Error.Printf("Unknown parameter: %s\n", args[i])
			return 2
		}
	}

	err := b.Run()

	if err != nil {
		log.Error.Println(err)
		return 1
	}

	return 0
}
